OpenJPEG: Data Fields

OpenJPEG 2.5.3

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - m -

- m : subfaixbox4_param, subfaixbox8_param
- m_array_type : opj_mct_data
- m_buffer_size : opj_stream_private
- m_byte_offset : opj_stream_private
- m_bytes_in_buffer : opj_stream_private
- m_can_decode : opj_j2k_dec
- m_codec : opj_codec_private
- m_codec_data : opj_codec_private
- m_compression : opj_codec_private
- m_comps_indices_to_decode : opj_j2k_dec
- m_cp : opj_j2k
- m_current_data : opj_stream_private
- m_current_max_segs : opj_tcd_cblk_dec
- m_current_poc_tile_part_number : opj_j2k_enc
- m_current_tile_number : opj_j2k
- m_current_tile_part_number : opj_j2k_enc, opj_tcp
- m_data : opj_jp2_img_header_writer_handler, opj_mct_data, opj_ppx_struct, opj_tcp
- m_data_size : opj_mct_data, opj_ppx_struct, opj_tcp
- m_dc_level_shift : opj_tccp
- m_dec : opj_cp
- m_decoder : opj_j2k
- m_decompression : opj_codec_private
- m_decorrelation_array : opj_simple_mcc_decorrelation_data
- m_default_tcp : opj_j2k_dec
- m_default_tile_info : opj_codestream_info_v2
- m_discard_tiles : opj_j2k_dec
- m_element_type : opj_mct_data
- m_enc : opj_cp
- m_encoded_tile_data : opj_j2k_enc
- m_encoded_tile_size : opj_j2k_enc
- m_encoder : opj_j2k
- m_end_tile_x : opj_j2k_dec
- m_end_tile_y : opj_j2k_dec
- m_entries_count : opj_j2k_tlm_info
- m_error_data : opj_event_mgr
- m_event_mgr : opj_codec_private
- m_free_user_data_fn : opj_stream_private
- m_header_data : opj_j2k_dec
- m_header_data_size : opj_j2k_dec
- m_header_tile_data : opj_j2k_enc
- m_header_tile_data_size : opj_j2k_enc
- m_idx_intersecting_tile_parts : opj_j2k_dec
- m_index : opj_mct_data, opj_simple_mcc_decorrelation_data
- m_info_data : opj_event_mgr
- m_intersecting_tile_parts_offset : opj_j2k_dec
- m_is_decoder : opj_cp, opj_j2k, opj_tcd
- m_is_invalid : opj_j2k_tlm_info
- m_is_irreversible : opj_simple_mcc_decorrelation_data
- m_last_sot_read_pos : opj_j2k_dec
- m_last_tile_part : opj_j2k_dec
- m_layer : opj_decoding_param
- m_length : opj_j2k_tlm_tile_part_info
- m_matrice : opj_encoding_param
- m_max_comp_size : opj_encoding_param
- m_mcc_records : opj_tcp
- m_mct_coding_matrix : opj_tcp
- m_mct_decoding_matrix : opj_tcp
- m_mct_records : opj_tcp
- m_nb_comps : opj_j2k_enc, opj_simple_mcc_decorrelation_data
- m_nb_max_mcc_records : opj_tcp
- m_nb_max_mct_records : opj_tcp
- m_nb_max_procedures : opj_procedure_list
- m_nb_mcc_records : opj_tcp
- m_nb_mct_records : opj_tcp
- m_nb_procedures : opj_procedure_list
- m_nb_tile_parts : opj_tcp
- m_nb_tile_parts_correction : opj_j2k_dec
- m_nb_tile_parts_correction_checked : opj_j2k_dec
- m_num_intersecting_tile_parts : opj_j2k_dec
- m_numcomps_to_decode : opj_j2k_dec
- m_offset_array : opj_simple_mcc_decorrelation_data
- m_opj_seek : opj_stream_private
- m_opj_skip : opj_stream_private
- m_output_image : opj_j2k
- m_PLT : opj_j2k_enc
- m_private_image : opj_j2k
- m_procedure_list : opj_j2k, opj_jp2
- m_procedures : opj_procedure_list
- m_quality_layer_alloc_strategy : opj_encoding_param
- m_read_fn : opj_stream_private
- m_reduce : opj_decoding_param
- m_reserved_bytes_for_PLT : opj_j2k_enc
- m_seek_fn : opj_stream_private
- m_size : opj_jp2_img_header_writer_handler
- m_skip_data : opj_j2k_dec
- m_skip_fn : opj_stream_private
- m_sot_length : opj_j2k_dec
- m_specific_param : opj_cp, opj_j2k
- m_start_tile_x : opj_j2k_dec
- m_start_tile_y : opj_j2k_dec
- m_state : opj_j2k_dec
- m_status : opj_stream_private
- m_stored_data : opj_stream_private
- m_tcd : opj_j2k
- m_tile_ind_to_dec : opj_j2k_dec
- m_tile_index : opj_j2k_tlm_tile_part_info
- m_tile_part_infos : opj_j2k_tlm_info
- m_TLM : opj_j2k_enc
- m_tlm : opj_j2k_dec
- m_tlm_sot_offsets_buffer : opj_j2k_enc
- m_tlm_sot_offsets_current : opj_j2k_enc
- m_tlm_start : opj_j2k_enc
- m_total_tile_parts : opj_j2k_enc
- m_tp : opj_j2k
- m_tp_flag : opj_encoding_param
- m_tp_on : opj_encoding_param
- m_tp_pos : opj_encoding_param
- m_Ttlmi_is_byte : opj_j2k_enc
- m_user_data : opj_stream_private
- m_user_data_length : opj_stream_private
- m_validation_list : opj_j2k, opj_jp2
- m_verbose : opj_dparameters
- m_warning_data : opj_event_mgr
- m_write_fn : opj_stream_private
- main_head_end : opj_codestream_index, opj_codestream_info
- main_head_start : opj_codestream_index, opj_codestream_info
- manager : opj_pi_iterator
- mant : opj_stepsize
- marked_as_waiting : opj_worker_thread_t
- marker : opj_codestream_index, opj_codestream_info, opj_tile_index, opj_tile_info
- marknum : opj_codestream_index, opj_codestream_info, opj_tile_index, opj_tile_info
- max_comp_size : opj_cparameters
- max_cs_size : opj_cparameters
- max_depth : query_param
- max_j : opj_dwt_decode_h_job_t, opj_dwt_decode_v_job_t, opj_dwt_encode_h_job_t, opj_dwt_encode_v_job_t
- max_tiles : opj_cp
- maxlenPerFrame : aux_response_param
- maxmarknum : opj_codestream_index, opj_codestream_info, opj_tile_index, opj_tile_info
- maxpasses : opj_tcd_seg
- maxvalue : range_param
- Mb : opj_tcd_cblk_dec
- mct : opj_tcp, opj_tile_v2_info
- mct_data : opj_cparameters
- mct_norms : opj_t1_cblk_encode_processing_job_t, opj_tcp
- mct_numcomps : opj_t1_cblk_encode_processing_job_t
- mem : dwt_local
- metadata_only : query_param
- metadatalist : cache_param, index_param, jpip_dec_param
- meth : opj_jp2
- mhead_length : index_param
- mhead_model : cachemodel_param
- min_j : opj_dwt_decode_h_job_t, opj_dwt_decode_v_job_t, opj_dwt_encode_h_job_t, opj_dwt_encode_v_job_t
- minimum_num_resolutions : opj_tcd_tilecomp
- minvalue : range_param
- minversion : opj_jp2
- mode : opj_cparameters
- mps : opj_mqc_state
- mqc : opj_t1
- msgqueue : dec_server_record, jpip_dec_param
- mtyp : opj_jp2_cmap_comp
- mustuse_cblkdatabuffer : opj_t1, opj_t1_cblk_decode_processing_job_t
- mutex : opj_t1_cblk_encode_processing_job_t, opj_thread_pool_t, opj_worker_thread_t